### GET /v0/projects Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects ```markdown ### Responses #### 200 - A list of project objects. Empty response body #### 401 - Unauthorized Unauthorized ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects" ``` ``` -------------------------------- ### GET /v0/workspaces Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/workspaces ```markdown ### Parameters - **includeProjects** (string, query, optional): True to include the list of workspace projects in the result. Defaults to false. - **onlyAdmin** (string, query, optional): True to only return workspaces the user is admin of. Defaults to false. - **onlyOwner** (string, query, optional): True to only return the workspace the user owns, if any. Defaults to false. ### Responses #### 200 - A list of workspace objects. Empty response body #### 401 - Unauthorized Unauthorized ### Example Usage ```bash curl -X GET "https://api.example.com/v0/workspaces?includeProjects=value&onlyAdmin=value&onlyOwner=value" ``` ``` -------------------------------- ### GET /v0/users/me Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/users/me ```markdown ### Responses #### 200 - A existing user object Empty response body #### 401 - Unauthorized Unauthorized #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/users/me" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/storage Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/storage ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. ### Responses #### 200 - A project storage data object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/storage" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/files Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/files ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **offset** (string, query, optional): The number of items to skip from the result, for pagination. Defaults to 0. Min value 0. - **limit** (string, query, optional): The max number of items to return, for pagination. Defaults to 20. Min value 1. Max value 100. ### Responses #### 200 - A list of project file objects. Empty response body #### 400 - Invalid offset or limit parameters. Invalid offset or limit parameters. #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/files?offset=value&limit=value" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/metrics Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/metrics ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. ### Responses #### 200 - A project metrics object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/metrics" ``` ``` -------------------------------- ### GET /v0/webhookevents Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/webhookevents ```markdown ### Responses #### 200 - A list of webhook events. Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v0/webhookevents" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/workitems/{workItemId}/dependencies Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/workitems/{workItemId}/dependencies ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **workItemId** (string, path, required): The unique identifier of the work item. ### Responses #### 200 - A list of work item dependency objects. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/workitems/{workItemId}/dependencies" ``` ``` -------------------------------- ### GET /v0/projects/{projectId} Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId} ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. ### Responses #### 200 - A project object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/designelements/{designElementId}/metrics Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/designelements/{designElementId}/metrics ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **designElementId** (string, path, required): The unique identifier of the design element. - **includeChildren** (string, query, optional): True if the result should sum up the metrics of the hierarchy of children elements. Defaults to false. ### Responses #### 200 - The game design model metrics object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/designelements/{designElementId}/metrics?includeChildren=value" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/users Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/users ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **includeInactive** (string, query, optional): True to include inactive users, those who were part of the project in the past but were pushed out. Defaults to false. - **includeGuests** (string, query, optional): True to include guest users. Defaults to true. ### Responses #### 200 - A list of project user objects. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/users?includeInactive=value&includeGuests=value" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/workitems Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/workitems ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **boardId** (string, query, optional): The unique identifier of the board (0 for the backlog). - **milestoneId** (string, query, optional): The unique identifier of the milestone. - **categoryId** (string, query, optional): The unique identifier of the category. - **userId** (string, query, optional): The unique identifier of the assigned user. - **designElementId** (string, query, optional): The unique identifier of the design element (0 for items without desing element). - **stageId** (string, query, optional): The unique identifier of the stage. - **importanceLevelId** (string, query, optional): The unique identifier of the importance level. - **parentStoryId** (string, query, optional): The unique identifier of the parent story of the task (0 for items that don't belong to a user story). - **searchTerms** (string, query, optional): A string that will be used to filter the results by searching the terms in the title and description fields. - **offset** (string, query, optional): The number of items skipped from the results. Defaults to 0. Min value 0. - **limit** (string, query, optional): The max number of items included in the results, after the offset. Defaults to 20. Min value 1. Max value 100. - **sortField** (string, query, optional): The field used to sort the results. Possible values: - "id" (default) - "name" - "duedate" - "updatedate" - "closingdate" - "board" - "designelement" - "stage" - "category" - "importancelevel" - **sortMode** (string, query, optional): The mode used to sort the results. Possible values: - "asc" (default) - "desc" ### Responses #### 200 - A paged list of work item objects. Empty response body #### 400 - Invalid offset and limit values. Invalid offset and limit values. #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/workitems?boardId=value&milestoneId=value&categoryId=value&userId=value&designElementId=value&stageId=value&importanceLevelId=value&parentStoryId=value&searchTerms=value&offset=value&limit=value&sortField=value&sortMode=value" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/roles Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/roles ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. ### Responses #### 200 - A list of role objects. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/roles" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/tags Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/tags ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project ### Responses #### 200 - A list of project tag objects. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/tags" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/stages Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/stages ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. ### Responses #### 200 - A list of stage objects. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/stages" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/designelements Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/designelements ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. ### Responses #### 200 - A list of design element objects. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/designelements" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/webhooks Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/webhooks ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. ### Responses #### 200 - A list of webhook objects. Empty response body #### 403 - The authorized user does not have permission to execute the action. The authorized user does not have permission to execute the action. #### 404 - Project not found. Project not found. ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/webhooks" ``` ``` -------------------------------- ### GET /v0/workspaces/{workspaceId}/users Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/workspaces/{workspaceId}/users ```markdown ### Parameters - **workspaceId** (string, path, required): The unique identifier of the workspace. - **includeInactive** (string, query, optional): True to include the users that were part of the workspace but are currently inactive. Defaults to false. ### Responses #### 200 - A list of workspace user objects. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/workspaces/{workspaceId}/users?includeInactive=value" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/events Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/events ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **from** (string, query, required): The minimum date of the events. - **to** (string, query, required): The maximum date of the events. ### Responses #### 200 - A list of project event objects. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/events?from=value&to=value" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/boards Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/boards ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **includeClosed** (string, query, optional): True to include the closed boards in the result. Defaults to false. ### Responses #### 200 - A list of board objects. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/boards?includeClosed=value" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/workitems/{workItemId}/dependencies/{dependencyId} Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/workitems/{workItemId}/dependencies/{dependencyId} ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **workItemId** (string, path, required): The unique identifier of the work item. - **dependencyId** (string, path, required): The unique identifier of the dependency (work item). ### Responses #### 200 - A work item dependency object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/workitems/{workItemId}/dependencies/{dependencyId}" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/milestones Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/milestones ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **includeBoards** (string, query, optional): True to include the boards in the milestone. Defaults to false. - **includeClosed** (string, query, optional): True to include the closed boards in the result. Defaults to false. ### Responses #### 200 - A list of milestone objects. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/milestones?includeBoards=value&includeClosed=value" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/designelements/{designElementId}/attachments Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/designelements/{designElementId}/attachments ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **designElementId** (string, path, required): The unique identifier of the design element. - **offset** (string, query, optional): The number of items skipped from the results. Defaults to 0. Min value 0. - **limit** (string, query, optional): The max number of items included in the results, after the offset. Defaults to 20. Min value 1. Max value 100. ### Responses #### 200 - A paged list of design element attachment objects. Empty response body #### 400 - Invalid offset and limit values. Invalid offset and limit values. #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/designelements/{designElementId}/attachments?offset=value&limit=value" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/importancelevels Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/importancelevels ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. ### Responses #### 200 - A list of project importance level objects. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/importancelevels" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/milestones/{milestoneId}/metrics Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/milestones/{milestoneId}/metrics ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **milestoneId** (string, path, required): The unique identifier of the milestone. - **userId** (string, query, optional): The unique identifier of the user. ### Responses #### 200 - A milestone metrics object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/milestones/{milestoneId}/metrics?userId=value" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/roles/{roleId} Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/roles/{roleId} ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **roleId** (string, path, required): The unique identifier of the role. ### Responses #### 200 - A role object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/roles/{roleId}" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/workitems/{workItemId}/attachments Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/workitems/{workItemId}/attachments ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **workItemId** (string, path, required): The unique identifier of the work item. - **offset** (string, query, optional): The number of items skipped from the results. Defaults to 0. Min value 0. - **limit** (string, query, optional): The max number of items included in the results, after the offset. Defaults to 20. Min value 1. Max value 100. ### Responses #### 200 - A list of work item attachment objects. Empty response body #### 400 - Invalid offset and limit values. Invalid offset and limit values. #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/workitems/{workItemId}/attachments?offset=value&limit=value" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/designelementtypes Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/designelementtypes ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. ### Responses #### 200 - A list of desing element type objects. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/designelementtypes" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/workitems/{workItemId} Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/workitems/{workItemId} ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **workItemId** (string, path, required): The unique identifier of the work item. ### Responses #### 200 - A work item object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/workitems/{workItemId}" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/webhooks/{webhookId} Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/webhooks/{webhookId} ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **webhookId** (string, path, required): The unique identifier of the webhook. ### Responses #### 200 - A webhook object. Empty response body #### 403 - The authorized user does not have permission to execute the action. The authorized user does not have permission to execute the action. #### 404 - Webhook not found. Webhook not found. ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/webhooks/{webhookId}" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/workitems/{workItemId}/worklogs Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/workitems/{workItemId}/worklogs ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **workItemId** (string, path, required): The unique identifier of the work item. ### Responses #### 200 - A list of work log objects. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/workitems/{workItemId}/worklogs" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/designelements/{designElementId} Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/designelements/{designElementId} ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **designElementId** (string, path, required): The unique identifier of the design element. - **includeChildren** (string, query, optional): True to include the whole hierarchy of child elements in the result. ### Responses #### 200 - The game design element object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/designelements/{designElementId}?includeChildren=value" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/users/{userId} Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/users/{userId} ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **userId** (string, path, required): The unique identifier of the user. ### Responses #### 200 - The project user object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/users/{userId}" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/boards/{boardId}/metrics Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/boards/{boardId}/metrics ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **boardId** (string, path, required): The unique identifier of the board. - **userId** (string, query, optional): The unique identifier of the user. ### Responses #### 200 - A board metrics object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/boards/{boardId}/metrics?userId=value" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/stages/{stageId} Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/stages/{stageId} ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **stageId** (string, path, required): The unique identifier of the stage. ### Responses #### 200 - A stage object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/stages/{stageId}" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/importancelevels/{importanceLevelId} Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/importancelevels/{importanceLevelId} ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **importanceLevelId** (string, path, required): The unique identifier of the importance level. ### Responses #### 200 - An importance level object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/importancelevels/{importanceLevelId}" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/designelements/{designElementId}/attachments/{attachmentId} Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/designelements/{designElementId}/attachments/{attachmentId} ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **designElementId** (string, path, required): The unique identifier of the design element. - **attachmentId** (string, path, required): The unique identifier of the attachment ### Responses #### 200 - A design element object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/designelements/{designElementId}/attachments/{attachmentId}" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/workitems/{workItemId}/tags Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/workitems/{workItemId}/tags ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **workItemId** (string, path, required): The unique identifier of the work item. ### Responses #### 200 - A list of tag objects. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/workitems/{workItemId}/tags" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/categories/{categoryId} Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/categories/{categoryId} ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **categoryId** (string, path, required): The unique identifier of the category. ### Responses #### 200 - A project category object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/categories/{categoryId}" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/designelements/{designElementId}/comments Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/designelements/{designElementId}/comments ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **designElementId** (string, path, required): The unique identifier of the design element. - **offset** (string, query, optional): The number of items skipped from the results. Defaults to 0. Min value 0. - **limit** (string, query, optional): The max number of items included in the results, after the offset. Defaults to 20. Min value 1. Max value 100. ### Responses #### 200 - A paged list of design element comment objects. Empty response body #### 400 - Invalid offset or limit parameters. Invalid offset or limit parameters. #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/designelements/{designElementId}/comments?offset=value&limit=value" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/boards/{boardId} Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/boards/{boardId} ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project the board belongs to. - **boardId** (string, path, required): The unique identifier of the board. ### Responses #### 200 - A board object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/boards/{boardId}" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/workitems/{workItemId}/subtasks Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/workitems/{workItemId}/subtasks ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **workItemId** (string, path, required): The unique identifier of the work item. ### Responses #### 200 - A list of work item subtask objects. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/workitems/{workItemId}/subtasks" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/workitems/{workItemId}/comments/{commentId} Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/workitems/{workItemId}/comments/{commentId} ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **workItemId** (string, path, required): The unique identifier of the work item. - **commentId** (string, path, required): The unique identifier of the comment. ### Responses #### 200 - A work item comment object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/workitems/{workItemId}/comments/{commentId}" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/workitems/{workItemId}/attachments/{attachmentId} Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/workitems/{workItemId}/attachments/{attachmentId} ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **workItemId** (string, path, required): The unique identifier of the work item. - **attachmentId** (string, path, required): The unique identifier of the attachment. ### Responses #### 200 - A work item attachment object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/workitems/{workItemId}/attachments/{attachmentId}" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/workitems/{workItemId}/comments Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/workitems/{workItemId}/comments ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **workItemId** (string, path, required): The unique identifier of the work item. - **offset** (string, query, optional): The number of items skipped from the results. Defaults to 0. Min value 0. - **limit** (string, query, optional): The max number of items included in the results, after the offset. Defaults to 20. Min value 1. Max value 100. ### Responses #### 200 - A paged list of work item comment objects. Empty response body #### 400 - Invalid offset and limit values. Invalid offset and limit values. #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/workitems/{workItemId}/comments?offset=value&limit=value" ``` ``` -------------------------------- ### POST /v0/projects/{projectId}/workitems/{workItemId}/dependencies Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for POST /v0/projects/{projectId}/workitems/{workItemId}/dependencies ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **workItemId** (string, path, required): The unique identifier of the work item. - **dependencyId** (integer (int32), body, required): The unique identifier of the dependency (work item). ### Responses #### 201 - Created Empty response body #### 400 - Invalid dependency. Invalid dependency. #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X POST "https://api.example.com/v0/projects/{projectId}/workitems/{workItemId}/dependencies" ``` ``` -------------------------------- ### GET /v0/projects/{projectId}/workitems/{workItemId}/subtasks/{subTaskId} Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/projects/{projectId}/workitems/{workItemId}/subtasks/{subTaskId} ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **workItemId** (string, path, required): The unique identifier of the work item. - **subTaskId** (string, path, required): The unique identifier of the subtask. ### Responses #### 200 - A work item comment object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/projects/{projectId}/workitems/{workItemId}/subtasks/{subTaskId}" ``` ``` -------------------------------- ### POST /v0/projects Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for POST /v0/projects ```markdown ### Parameters - **createProjectValues** (createProjectValues, body, required): An object with the values for the new project. ### Responses #### 201 - A newly created project object. Empty response body #### 400 - Invalid values object. Invalid values object. #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden ### Example Usage ```bash curl -X POST "https://api.example.com/v0/projects" ``` ``` -------------------------------- ### GET /v0/workspaces/{workspaceId} Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/workspaces/{workspaceId} ```markdown ### Parameters - **workspaceId** (string, path, required): The unique id of the workspace. - **includeProjects** (string, query, optional): True if the workspace should include a list of the contained projects. Defaults to false. ### Responses #### 200 - A workspace object. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/workspaces/{workspaceId}?includeProjects=value" ``` ``` -------------------------------- ### PUT /v0/projects/{projectId}/webhooks/{webhookId} Source: https://api.hacknplan.com/swagger/docs/v0 All the fields will be replaced, and optional values not set in the values object will be set to null. ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **webhookId** (string, path, required): The unique identifier of the webhook. - **updateWebhookValues** (updateWebhookValues, body, required): The webhook update values object. ### Responses #### 200 - OK Empty response body #### 400 - Invalid values object. Invalid values object. #### 403 - The authorized user does not have permission to execute the action. The authorized user does not have permission to execute the action. #### 404 - Webhook not found. Webhook not found. ### Example Usage ```bash curl -X PUT "https://api.example.com/v0/projects/{projectId}/webhooks/{webhookId}" ``` ``` -------------------------------- ### PUT /v0/projects/{projectId} Source: https://api.hacknplan.com/swagger/docs/v0 All the fields will be replaced, and optional values not set in the values object will be set to null. ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **updateProjectValues** (updateProjectValues, body, required): An object with the values to update. ### Responses #### 200 - The updated project object. Empty response body #### 400 - Invalid values object. Invalid values object. #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X PUT "https://api.example.com/v0/projects/{projectId}" ``` ``` -------------------------------- ### GET /v0/workspaces/{workspaceId}/teams Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for GET /v0/workspaces/{workspaceId}/teams ```markdown ### Parameters - **workspaceId** (string, path, required): The unique identifier of the workspace. ### Responses #### 200 - A list of workspace team objects. Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v0/workspaces/{workspaceId}/teams" ``` ``` -------------------------------- ### PUT /v0/projects/{projectId}/workitems/{workItemId}/subtasks/{subTaskId} Source: https://api.hacknplan.com/swagger/docs/v0 All the fields will be replaced, and optional values not set in the values object will be set to null. ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **workItemId** (string, path, required): The unique identifier of the work item. - **subTaskId** (string, path, required): The unique identifier of the subtask. - **updateWorkItemSubTaskValues** (updateWorkItemSubTaskValues, body, required): The work item subtask update values object. ### Responses #### 200 - OK Empty response body #### 400 - Invalid subtask title. Invalid subtask title. #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X PUT "https://api.example.com/v0/projects/{projectId}/workitems/{workItemId}/subtasks/{subTaskId}" ``` ``` -------------------------------- ### PUT /v0/projects/{projectId}/roles/{roleId} Source: https://api.hacknplan.com/swagger/docs/v0 All the fields will be replaced, and optional values not set in the values object will be set to null. ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **roleId** (string, path, required): The unique identifier of the role. - **updateProjectRoleValues** (updateProjectRoleValues, body, required): The project role update values object. ### Responses #### 200 - The updated role. Empty response body #### 400 - Invalid values object. Invalid values object. #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X PUT "https://api.example.com/v0/projects/{projectId}/roles/{roleId}" ``` ``` -------------------------------- ### POST /v0/projects/{projectId}/closure Source: https://api.hacknplan.com/swagger/docs/v0 API endpoint for POST /v0/projects/{projectId}/closure ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. ### Responses #### 200 - OK Empty response body #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound #### 409 - The project is already closed. The project is already closed. ### Example Usage ```bash curl -X POST "https://api.example.com/v0/projects/{projectId}/closure" ``` ``` -------------------------------- ### PUT /v0/projects/{projectId}/users/{userId} Source: https://api.hacknplan.com/swagger/docs/v0 All the fields will be replaced, and optional values not set in the values object will be set to null. ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **userId** (string, path, required): The unique identifier of the user. - **updateProjectUserValues** (updateProjectUserValues, body, required): The values object. ### Responses #### 200 - OK Empty response body #### 400 - Invalid values object. Invalid values object. #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X PUT "https://api.example.com/v0/projects/{projectId}/users/{userId}" ``` ``` -------------------------------- ### PUT /v0/projects/{projectId}/stages/{stageId} Source: https://api.hacknplan.com/swagger/docs/v0 All the fields will be replaced, and optional values not set in the values object will be set to null. ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the object. - **stageId** (string, path, required): The unique identifier of the stage. - **updateProjectStageValues** (updateProjectStageValues, body, required): The project stage update values object. ### Responses #### 200 - The updated stage. Empty response body #### 400 - Invalid values object. Invalid values object. #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X PUT "https://api.example.com/v0/projects/{projectId}/stages/{stageId}" ``` ``` -------------------------------- ### PUT /v0/projects/{projectId}/workitems/{workItemId} Source: https://api.hacknplan.com/swagger/docs/v0 All the fields will be replaced, and optional values not set in the values object will be set to null. ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **workItemId** (string, path, required): The unique identifier of the work item. - **updateWorkItemValues** (updateWorkItemValues, body, required): The work item update values object. ### Responses #### 200 - OK Empty response body #### 400 - Invalid values object. Invalid values object. #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X PUT "https://api.example.com/v0/projects/{projectId}/workitems/{workItemId}" ``` ``` -------------------------------- ### PUT /v0/projects/{projectId}/importancelevels/{importanceLevelId} Source: https://api.hacknplan.com/swagger/docs/v0 All the fields will be replaced, and optional values not set in the values object will be set to null. ```markdown ### Parameters - **projectId** (string, path, required): The unique identifier of the project. - **importanceLevelId** (string, path, required): The unique identifier of the importance level. - **updateProjectImportanceLevelValues** (updateProjectImportanceLevelValues, body, required): The importance level update values object. ### Responses #### 200 - The updated importance level. Empty response body #### 400 - Invalid values object. Invalid values object. #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X PUT "https://api.example.com/v0/projects/{projectId}/importancelevels/{importanceLevelId}" ``` ```